package camera

import (
	"server/utils"
	"server/utils/configor"
)

type CameraDevConfig struct {
	Ffmpeg string      `json:"ffmpeg"`
	Rtu    []CameraDev `json:"dev"`
}

var cameraDevConfig CameraDevConfig

func LoadCameraDevConfig() error {
	var o CameraDevConfig
	err := configor.Load(&o, utils.GetPath(0)+"camera.json")
	if err == nil {
		cameraDevConfig = o
	}
	return err
}
